Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Mat.OrderingType

class petsc4py.PETSc.Mat.OrderingType

  Bases: `object`

  Factored matrix ordering type.

  See also

  `MatOrderingType`

  Attributes Summary

  `AMD` | Object `AMD` of type `str`
  `METISND` | Object `METISND` of type `str`
  `NATURAL` | Object `NATURAL` of type `str`
  `ND` | Object `ND` of type `str`
  `OWD` | Object `OWD` of type `str`
  `QMD` | Object `QMD` of type `str`
  `RCM` | Object `RCM` of type `str`
  `ROWLENGTH` | Object `ROWLENGTH` of type `str`
  `SPECTRAL` | Object `SPECTRAL` of type `str`
  `WBM` | Object `WBM` of type `str`

  Attributes Documentation

  AMD: str = AMD

    Object `AMD` of type `str`

  METISND: str = METISND

    Object `METISND` of type `str`

  NATURAL: str = NATURAL

    Object `NATURAL` of type `str`

  ND: str = ND

    Object `ND` of type `str`

  OWD: str = OWD

    Object `OWD` of type `str`

  QMD: str = QMD

    Object `QMD` of type `str`

  RCM: str = RCM

    Object `RCM` of type `str`

  ROWLENGTH: str = ROWLENGTH

    Object `ROWLENGTH` of type `str`

  SPECTRAL: str = SPECTRAL

    Object `SPECTRAL` of type `str`

  WBM: str = WBM

    Object `WBM` of type `str`